<?php
/**
 * Template for pages.
 *
 * WordPress identifies this file by its name (which MUST be page.php).
 *
 * Pages make up the scaffolding of the website and can often be reached via the page's
 * main navigation. They contain information that is not expected to cease its relevance
 * and should be kept up to date.
 * The publication date of a page is normally irrelevant, more interesting would be the date
 * of the last edit. In this template, we simply display no author names and no dates.
 * 
 * Posts, on the other hand, have an (often implicit) expiration date and are expected to
 * cease to be relevant at some point in time. See single.php for more details.
 *
 * @see https://codex.wordpress.org/Theme_Development#Pages_.28page.php.29
 */

get_header();
?>
<main>
    <article>
        <header
        <?php
            echo ' style="background-image:url(\'';
            if ( has_post_thumbnail($post->ID) ) {
                echo wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
            } else {
                echo get_header_image();
            }
            echo '\');"';?> >
            <h1><?php echo get_the_title($post->ID); ?></h1>
        </header>
        <div class="content">
            <?php
                if ( !post_password_required() ) {
                    echo apply_filters('the_content', $post->post_content);
                } else {
                    echo get_the_password_form();
                }
            ?>
        </div>
        <footer></footer>
    </article>
</main>
<?php get_footer(); ?>
